## ros-humble-ros2node 0.18.10

=== debian/changelog ===
ros-humble-ros2node (0.18.10-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-ros2node (0.18.9-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-ros2node (0.18.8-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ros2node (0.18.7-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-ros2node (0.18.6-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-ros2node (0.18.5-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-ros2node (0.18.4-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-ros2node (0.18.3-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-ros2node (0.18.2-1bookworm) bookworm; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-ros2node (0.18.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-ros2node (0.18.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-ros2node (0.17.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-ros2node (0.17.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-ros2node (0.16.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-ros2node (0.16.0-1bookworm) bookworm; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-ros2node (0.15.0-1bookworm) bookworm; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-ros2node (0.14.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-ros2node (0.13.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-ros2node (0.12.0-1bookworm) bookworm; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Mar 2021 16:00:00 -0000

ros-humble-ros2node (0.11.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-ros2node (0.10.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-ros2node (0.10.0-1bookworm) bookworm; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 01 Nov 2020 16:00:00 -0000

ros-humble-ros2node (0.9.5-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-ros2node (0.9.4-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-ros2node (0.9.3-1bookworm) bookworm; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Remove uses of deprecated ready_fn. (#506 <https://github.com/ros2/ros2cli/issues/506>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 May 2020 16:00:00 -0000

ros-humble-ros2node (0.9.2-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-humble-ros2node (0.9.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 May 2020 16:00:00 -0000

ros-humble-ros2node (0.9.0-1bookworm) bookworm; urgency=high

  * Stop using 'node_name' and 'node_namespace' in tests. (#498 <https://github.com/ros2/ros2cli/issues/498>)
    They are both deprecated, and print warnings in CI like:
    Warning: The parameter 'node_name' is deprecated, use 'name' instead
  * Replace deprecated launch_ros usage. (#487 <https://github.com/ros2/ros2cli/issues/487>)
    The Node parameter 'node_executable' has been deprecated and replaced
    with the parameter 'executable'.
  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * Update tests to expect no launch_ros node. (#474 <https://github.com/ros2/ros2cli/issues/474>)
